<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<meta name="description" content="Webová aplikace pro správu vodoměru a ventilu - přehled">
<meta name="keywords" content="Správa vodoměru">
<meta name="author" content="Ladislav Hloušek">
<meta name="viewport" content="width=device-width, initial-scale=1.0">

<link rel="stylesheet" href="{{ url_for('static', filename='css/modal.css') }}">
<link rel="stylesheet" href="{{ url_for('static', filename='sbadmin/vendor/bootstrap/css/bootstrap.min.css') }}">
<link rel="stylesheet" href="{{ url_for('static', filename='sbadmin/vendor/metisMenu/metisMenu.min.css') }}">
<link rel="stylesheet" href="{{ url_for('static', filename='sbadmin/vendor/datatables-plugins/dataTables.bootstrap.css') }}">
<link rel="stylesheet" href="{{ url_for('static', filename='sbadmin/vendor/datatables-responsive/dataTables.responsive.css') }}">
<link rel="stylesheet" href="{{ url_for('static', filename='sbadmin/dist/css/sb-admin-2.css') }}">
<link rel="stylesheet" href="{{ url_for('static', filename='sbadmin/vendor/font-awesome/css/font-awesome.min.css') }}" type="text/css">

<title>Fengoo - WATER GUARD</title>
</head>

<body>
<div id="wrapper">
	<!-- Navigation -->
    <nav class="navbar navbar-default navbar-static-top" role="navigation" style="margin-bottom: 0">
		<div class="navbar-header">
			<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
				<span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
			
            <a class="navbar-brand" href="/">
				<img style="display: inline; width: 150px;" src="{{ url_for('static', filename='images/logo.png') }}" alt="logo" title="Logo"/> - WATER GUARD
			</a>
        </div>
		<!-- /.navbar-header -->
		
		<ul class="nav navbar-top-links navbar-left">
			            
		</ul>
		
		<div class="navbar-default sidebar" role="navigation">
			<div class="sidebar-nav navbar-collapse">
				<ul class="nav" id="side-menu">
					<li class="active">
						<a href="/"><i class="fa fa-dashboard fa-fw"></i> Přehled</a>
					</li>
					<li>
						<a href="/kalendar"><i class="fa fa-calendar fa-fw"></i> Kalendář</a>
					</li>          
					<li>
						<a href="/historie"><i class="fa fa-history fa-fw"></i> Historie</a>
					</li>
					<li>
						<a href="/stats"><i class="fa fa-bar-chart fa-fw"></i> Statistiky</a>
					</li>
					<li>
						<a href="/nastaveni"><i class="fa fa-wrench fa-fw"></i> Nastavení</a>
					</li>
					<li>
						<a id="logoutBtn" href="#"><i class="fa fa-sign-out fa-fw"></i> Odhlásit</a>
					</li>
				</ul>
				<p style="text-align:center;">Verze: <span id="ver"></span></p>
				<p style="text-align:center;">© 2016-2022 NetVoice, s.r.o. All rights reserved</p>
			</div>
			<!-- /.sidebar-collapse -->
		</div>
		<!-- /.navbar-static-side -->
    </nav>
	
	<!-- Page Content -->
	<div id="page-wrapper">
		<div class="container-fluid">
			<div class="row">
				<div class="col-xs-12">
					<h1 class="page-header">Ovládání a přehled</h1>
				</div>
				<!-- /.col-lg-12 -->
			</div>
			<!-- /.row -->
			
			
			<div class="row">
				<div class="col-lg-3 col-md-3 col-xs-12">
					<div class="panel panel-info">
						<div class="panel-heading">
							<div class="row">
								<div class="col-xs-3">
									<i class="fa fa-tint fa-4x"></i>
								</div>
								<div class="col-xs-9 text-right">
									<div class="huge"><span id="pocetLitry">{{ result['POCET_LITRY'] }}</span> l</div>
                  <div>
                  počet a průtok <span id="prutok">{{ result['PRUTOK'] }}</span> l/min.
                  </div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="col-lg-3 col-md-3 col-xs-12">
					{% if result['STAV_VENTIL'] == 1 %}
					<div class="panel panel-success" id="panelVentil">
					{% else %}
					<div class="panel panel-danger">
					{% endif %}
						<div class="panel-heading">
							<div class="row">
								<div class="col-xs-3">
									<i class="fa fa-circle fa-4x"></i>
								</div>
								<div class="col-xs-9 text-right">
									{% if result['STAV_VENTIL'] == 1 %}
									<div class="huge" id="stavVentil">otevřeno</div>
									{% else %}
									<div class="huge" id="stavVentil">zavřeno</div>
									{% endif %}
									<div>stav ventilu</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				
				<div class="col-lg-3 col-md-3 col-xs-12">
					<div class="panel panel-warning">
						<div class="panel-heading">
							<div class="row">
								<div class="col-xs-3">
									<i class="fa fa-flask fa-4x"></i>
								</div>
								<div class="col-xs-9 text-right">
									<div class="huge" id="limitLitry">
									{% if result['LIMIT_JEDNOTKA'] != 0 %}
                  						{{ result['LIMIT_LITRY'] }} 
									{% endif %}
									{% if result['LIMIT_JEDNOTKA'] == 1 %}
									l
									{% elif result['LIMIT_JEDNOTKA'] == 2 %}
									hod.
									{% elif result['LIMIT_JEDNOTKA'] == 3 %}
									min.
									{% elif result['LIMIT_JEDNOTKA'] == 4 %}
									l/hod.
									{% elif result['LIMIT_JEDNOTKA'] == 5 %}
									l/min.
									{% elif result['LIMIT_JEDNOTKA'] == 0 %}
									bez limitu
									{% endif %}
									</div>
									<div>nastavený limit a jednotka</div>
								</div>
							</div>
						</div>
					</div>
				</div>								
				<div class="col-lg-3 col-md-3 col-xs-12">
					<div class="panel panel-primary">
						<div class="panel-heading">
							<div class="row">
								<div class="col-xs-3">
									<i class="fa fa-info fa-4x"></i>
								</div>
								<div class="col-xs-9 text-right">
									<div class="huge"><span id="celkemLitry">{{ result['CELKEM_LITRY'] }}</span> l</div>
									<div>celkový počet od {{ result['START_MERENI'] }}</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			
			<div class="row">
				<div class="col-lg-12 col-md-12 col-xs-12">
					<div class="panel panel-primary">
						
						<div class="panel-body">
							<div class="flashes" style="margin-bottom: 10px;">
							{% with messages = get_flashed_messages(with_categories=true) %}
								{% if messages %}
									{% for category,message in messages %}
										{% if category != "warning" %}
										<div class="afs alert alert-{{ category }}">
										{{ message }}
										</div>
										{% else %}
										<div class="alert alert-{{ category }}">
										{{ message|safe }}
										</div>
										{% endif %}
									{% endfor %}
								{% endif %}
							{% endwith %}
							</div>
							
							<div style="margin-bottom: 10px;" class="col-lg-3 col-md-4 col-xs-12">
								<h3 class="text-center">Ovládání ventilu</h3>
								<div class="text-center" id="ovl">
									{% if result['STAV_VENTIL'] == 1 %}
									<div style="display:block; text-align:center; margin-bottom: 5px;">
										<img src="{{ url_for('static', filename='images/ventil-on.png') }}" alt="" title="otevreno"/>
									</div>
									<button onclick="location.href='/ventil/0';" type="button" id="btn-ventil-ctrl" class="btn btn-danger btn-lg">
										<i class="fa fa-unlock"></i> zavřít ventil
									</button>
									{% else %}
									<div style="display:block; text-align:center; margin-bottom: 5px;">
										<img src="{{ url_for('static', filename='images/ventil-off.png') }}" alt="" title="zavreno"/>
									</div>
									<button onclick="location.href='/ventil/1';" type="button" id="btn-ventil-ctrl" class="btn btn-success btn-lg">
										<i class="fa fa-lock"></i> otevřít ventil
									</button>
									{% endif %}
								</div>
							</div>
							
							<div class="col-lg-3 col-md-3 col-xs-12">
              <h4 class="text-center">Aktuální měření vodoměru</h4>
							<div class="table-responsive" style="overflow-x: hidden;">
								<table class="table table-striped table-bordered table-hover" id="dataTable">
									<thead>
										<tr>
											<th>Počet L</th>
											<th>Datum a čas</th>
										</tr>
									</thead>
									<tbody id="tbody">
										{% for item in vodData %}
										<tr class="item">
											<td>{{ item.PocetLitry }}</td>
											<td>{{ item.Ulozeno }}</td>
										</tr>
										{% endfor %}
									</tbody>
									<tfoot>
									</tfoot>
								</table>
							</div>
							</div>
							
							<div class="col-lg-6 col-md-5 col-xs-12">
              <h4 class="text-center">Akce ventilu</h4>
							<div class="table-responsive" style="overflow-x: hidden;">
								<table class="table table-striped table-bordered table-hover" id="dataTable1">
									<thead>
										<tr>
											<th>Stav ventilu</th>
											<th>Provedl</th>
											<th>Datum a čas</th>
										</tr>
									</thead>
									<tbody id="tbody1">
										{% for item in venData %}
										<tr class="item">
											<td>
											{% if item.StavVentil == 0%}
												zavřeno
											{% else %}
												otevřeno
											{% endif %}
											</td>
											<td>
											{% if item.AutoAkce == 0%}
												Už. web
											{% elif item.AutoAkce == 2%}
												Už. tlačítko
											{% elif item.AutoAkce == 3%}
												Fengoo - cloud
											{% elif item.AutoAkce == 4%}
												Automat - kalendář
											{% else %}
												Automat
											{% endif %}
											</td>
											<td>{{ item.Ulozeno }}</td>
										</tr>
										{% endfor %}
									</tbody>
									<tfoot>
									</tfoot>
								</table>
							</div>
							</div>
						</div>
					</div>
				</div>
				<!-- /.col-lg-12 -->
				
			</div>
			<!-- /.row -->
		</div>
		<!-- /.container-fluid -->
	</div>
	<!-- /#page-wrapper -->
</div>

<script src="{{ url_for('static', filename='sbadmin/vendor/jquery/jquery.min.js') }}"></script>
<!-- Bootstrap Core JavaScript -->
<script src="{{ url_for('static', filename='sbadmin/vendor/bootstrap/js/bootstrap.min.js') }}"></script>
<!-- Metis Menu Plugin JavaScript -->
<script src="{{ url_for('static', filename='sbadmin/vendor/metisMenu/metisMenu.min.js') }}"></script>
<!-- DataTables JavaScript -->
<script src="{{ url_for('static', filename='sbadmin/vendor/datatables/js/jquery.dataTables.min.js') }}"></script>
<script src="{{ url_for('static', filename='sbadmin/vendor/datatables-plugins/dataTables.bootstrap.min.js') }}"></script>
<script src="{{ url_for('static', filename='sbadmin/vendor/datatables-responsive/dataTables.responsive.js') }}"></script>
<!-- Custom Theme JavaScript -->
<script src="{{ url_for('static', filename='sbadmin/dist/js/sb-admin-2.js') }}"></script>
<script src="{{ url_for('static', filename='js/moment.js') }}"></script>
<script>

var dt = null;
var aktStav = 0;
var oldStav = 0;
var prutok = 0;
var oldLimitJednotka = "";
var oldCelkem = 0;
var limitJednotka = "";
var oldCelkemLitry = "";
var oldStavVentil = "";
var oldPocetLitry = "";
var oldPrutok = "";
var pocetLitry = 0;
var celkemLitry = 0;
var predchoziStavL = 0;
var dataReached = 0;
var intervalId;
function _getData() {
	oldPocetLitry = $("#pocetLitry").html();
	oldStavVentil = $("#stavVentil").html();
	oldCelkemLitry = $("#celkemLitry").html();
	oldLimitJednotka = $("#limitLitry").html();
	oldPrutok = $("#prutok").html();
  
  clearInterval(intervalId);
  $.getJSON("/getData", {}, function(data) {
		if(data.akt != null)
		{
			dataReached = 0;
			pocetLitry = data.akt.PocetLitry;
			celkemLitry = data.akt.CelkemLitry;
			prutok = data.akt.Prutok.toFixed(0);
			predchoziStavL = 0;
			if(data.prStavL != null)
			{
				predchoziStavL = data.prStavL;
			}
			celkemLitry = celkemLitry + predchoziStavL;
			
			aktStav = data.stavVentil;
			if (oldPrutok != prutok)
			{
			$("#prutok").fadeOut();
			$("#prutok").html(prutok).fadeIn();
			}
			if(oldPocetLitry != pocetLitry)
			{
				$("#pocetLitry").fadeOut();
				$("#pocetLitry").html(pocetLitry).fadeIn();
			}
			
			if(oldCelkemLitry != celkemLitry)
			{
				$("#celkemLitry").fadeOut();
				$("#celkemLitry").html(celkemLitry).fadeIn();
			}
		}
		
		if (data.jednotka == "M")
			limitJednotka = data.limit + " min.";
		if (data.jednotka == "H")
			limitJednotka = data.limit + " hod.";
		if (data.jednotka == "LM")
			limitJednotka = data.limit + " l/min.";
		if (data.jednotka == "LH")
			limitJednotka = data.limit + " l/hod.";
		if (data.jednotka == "" || data.jednotka == "nolimit")
			limitJednotka = "bez limitu";
		
		if (limitJednotka != "")
			$("#limitLitry").html(limitJednotka);
		
		if(data.stavVentil != null)
		{
		  aktStav = data.stavVentil;
		  var html = "<div style=\"display:block; text-align:center; margin-bottom: 5px;\"><img src=\"{{ url_for('static', filename='images/ventil-off.png') }}\" alt=\"zavreno\" title=\"zavreno\"/></div><button type=\"button\" id=\"btn-ventil-ctrl\" onclick=\"location.href='/ventil/1';\" class=\"btn btn-success btn-lg\"><i class=\"fa fa-lock\"></i> otevřít ventil</button>";
		  
		  if(aktStav != oldStav)
		  {
			if(aktStav == 1){
			  $("#panelVentil").removeClass("panel-danger").addClass("panel-success");
			  $("#stavVentil").fadeOut();
			  $("#stavVentil").html("otevřeno").fadeIn();
			  html = "<div style=\"display:block; text-align:center; margin-bottom: 5px;\"><img src=\"{{ url_for('static', filename='images/ventil-on.png') }}\" alt=\"otevreno\" title=\"otevreno\"/></div><button type=\"button\" id=\"btn-ventil-ctrl\" onclick=\"location.href='/ventil/0';\" class=\"btn btn-danger btn-lg\"><i class=\"fa fa-unlock\"></i> zavřít ventil</button>";
			} else {
			  $("#panelVentil").removeClass("panel-success").addClass("panel-danger");
			  $("#stavVentil").fadeOut();
			  $("#stavVentil").html("zavřeno").fadeIn();
			  
			  html = "<div style=\"display:block; text-align:center; margin-bottom: 5px;\"><img src=\"{{ url_for('static', filename='images/ventil-off.png') }}\" alt=\"zavreno\" title=\"zavreno\"/></div><button type=\"button\" id=\"btn-ventil-ctrl\" onclick=\"location.href='/ventil/1';\" class=\"btn btn-success btn-lg\"><i class=\"fa fa-lock\"></i> otevřít ventil</button>";
			} 
			$("#ovl").html(html);
			oldStav = aktStav;
		  }
		}
	}).done(function(){
		dataReached = 1;
		intervalId = setInterval("_getData()",3000);
	}).fail(function() {
		dataReached = 0;
	});	
}		
	
$(document).ready(function(){
	//$("#logoutBtn").click(function(){
	//	if(confirm("Opravdu se chcete odhlásit?")) {
	//		location.href ="/logout";
	//	}
	//});
	
	$(".afs").fadeTo(3500, 600).slideUp(400, function () {
		$(".afs").slideUp(600);
		$(".afs").remove();
    });
	
	dt = $("#dataTable").DataTable({
		"responsive": true,
		"lengthChange": false,
		"pageLength": 10,
		"paging": false,
		"order": [[ 1, "desc" ]],
		"searching": false,	
		language: {
			url: "{{ url_for('static', filename='sbadmin/vendor/datatables/js/czech.json') }}"
		},
	});
	
	dt = $("#dataTable1").DataTable({
		"responsive": true,
		"lengthChange": false,
		"pageLength": 10,
		"paging": false,
		"order": [[ 2, "desc" ]],
		"searching": false,	
		language: {
			url: "{{ url_for('static', filename='sbadmin/vendor/datatables/js/czech.json') }}"
		},
	});
		
	intervalId = setInterval("_getData()",3000);
	
	$.getJSON("/version", {}, function(data) {
		$("#ver").html(data);
	});
});
</script>
<script src="{{ url_for('static', filename='js/modalLogout.js') }}"></script>
</body>

</html>
